VismaBouwsoftAPICalls.v1_POST_OrderGroups Method
v1_POST_OrderGroups() as String

This API call is used to add a(n) OrderGroup

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /OrderGroups
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
name 2 tpString 100 No Yes No
order_id 1 tpLong 0 No Yes No
ordertype 2 tpString 0 No Yes No
ordertype_id 1 tpLong 0 No Yes No
ordertype_localized 2 tpString 0 No No No

/OrderGroups

API Path: /OrderGroups/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderGroups

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: VDIfWxflOrzSflVjlfzRqIPbffGmGfmffbIbzDbAjUGftmrPbk

Query Parameters :
ParameterName: columns, ParameterValue: ordertype_id=1,name=’APITestGroup’

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 165,
    "name": "APITestGroup",
    "order_id": 0,
    "ordertype": "OFFERTE",
    "ordertype_id": 1,
    "ordertype_localized": "OFFER"
  }
]
}